FTZII Cannot shoot because

Started 2 months ago | Discussions thread
ForumParentFirstPrevious
Flat view
OpticsEngineer Veteran Member • Posts: 7,451
FTZII Cannot shoot because

Just got a new FTZII adaptor today to use on my Z50. I tried it with four AF-S lenses that all work fine with my FTZ adaptor. (18-300, 24-120, 18-140, 70-300) With all four lenses the message on the display is " Cannot shoot because unsupported lens is attached"

I guess it is just a bad adaptor I should send back to B&H. Has anyone else encountered this?

Or do I just need to upgrade firmware on my Z50?   On my Z6II the message I get is "FTZ mount adaptor firmware version not supported.  Upgrade FTZ firmware"

How the heck would I do that?  I understand upgrading firmware on my camera, but not on an adaptor.   Would I do that through my camera?

 OpticsEngineer's gear list:OpticsEngineer's gear list
Fujifilm XF1 Olympus XZ-2 iHS Canon PowerShot G7 X Olympus Tough TG-4 Pentax *ist D +27 more
Nikon Z50
If you believe there are incorrect tags, please send us this post using our feedback form.
ForumParentFirstPrevious
Flat view
ForumParentFirstPrevious
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow